#include <stdio.h>

int main(int argc, char *argv[])
{
	if(argc != 2)
	{
		printf("Usage: %s <file>\n", argv[0]);
		return 1;
	}
	else
	{
		FILE *fd;
		char buffer[4096];

		fd = fopen(argv[1], "rb");
		if(fd == NULL)
		{
			printf("Usage: %s <file>\n", argv[0]);
			return 1;
		}
		while(feof(fd) == 0)
		{
			fread(buffer, 4096, 1, fd);
			printf("%s", buffer);
		}
		fclose(fd);
			
	}
	return 0;
}
